Bug 498723 - Review Request: eZ Publish
Summary: Review Request: eZ Publish
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 498721
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-02 15:17 UTC by Guillaume Kulakowski
Modified: 2010-07-21 11:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-21 11:34:54 UTC
Type: ---


Attachments (Terms of Use)

Description Guillaume Kulakowski 2009-05-02 15:17:38 UTC
eZ Publish is an Open Source Content Management System chosen by thousands of enterprises and organizations world wide. It helps you build corporate websites, intranets, webshops and media portals. eZ Publish is 100% Open Source, available either as a free download or as an enterprise solution “eZ Publish Premium” with support, guarantees and maintenance. 

SPEC:
http://llaumgui.fedorapeople.org/review/ezpublish/ezpublish.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ezpublish/ezpublish-4.1.0-1.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ezpublish/ezpublish-4.1.0-1.fc10.noarch.rpm

Comment 2 Mamoru TASAKA 2009-05-18 17:20:11 UTC
(The submitter cannot be the reviewer and should not set
 fedora-review flag by yourself)

Comment 3 Randy Berry 2009-05-21 12:08:09 UTC
I'll take a crack at this since nobody else has.
If my findings are wrong please correct them.

Key:
[*] Pass
[x] Fail
[-] Not applicable
[?] Questions (see comments)

[x]  MUST: rpmlint must be run on every package. The output should be
     posted in the review.[1]

rpmlint not silent.
4 packages and 1 specfiles checked; 292 errors, 2557 warnings.
(see attachement http://fpaste.org/paste/12523 )

[*]  MUST: The package must be named according to the Package Naming Guidelines.

[*]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption. [2] .

[*]  MUST: The package must meet the Packaging Guidelines.

[*]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines .

[*]  MUST: The License field in the package spec file must match
     the actual license. [3]

[*]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.[4]

[*]  MUST: The spec file must be written in American English. [5]

[*]  MUST: The spec file for the package MUST be legible. [6]

[?]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL. Reviewers should use md5sum for
     this task. If no upstream URL can be specified for this package,
     please see the Source URL Guidelines for how to deal with this.

The source URL (http://ez.no/content/download/261295/1832505/version/3/file/ezpublish-4.1.0-gpl.tar.gz) causes an error. 4.1.1 is also the current version 4.1.0 seems to be un-available.

[-]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture. [7]

php no binary build.

[-]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug
     filed in bugzilla, describing the reason that the package does not
     compile/build/work on that architecture. The bug number MUST be
     placed in a comment, next to the corresponding ExcludeArch line. [8]

[-]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional. Apply common sense.
	      
[*]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro. Using %{_datadir}/locale/[ ] is strictly
     forbidden.[9]

[-]  MUST: Every binary RPM package (or subpackage) which stores shared
     library files (not just symlinks) in any of the dynamic linker's
     default paths, must call ldconfig in %post and %postun. [10]

[-]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     Without this, use of Prefix: /usr is considered a blocker.

[x]  MUST: A package must own all directories that it creates. If it does not
     create a directory that it uses, then it should require a package which
     does create that directory. Refer to the Guidelines for examples.
    
Package does not own ALL directories it creates. Each directory
including %{_datadir}/%{name}/ and all subdirectories therein that the
package creates must be prefixed by %dir not just the one
directory.

[*]  MUST: A package must not contain any duplicate files in the %files listing.

[x]  MUST: Permissions on files must be set properly. Executables should
     be set with executable permissions, for example. Every %files section
     must include a %defattr(...) line.

Some questionable perms found by rpmlint. (see attachment)

[*]  MUST: Each package must have a %clean section, which contains
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).

[*]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines .

[*]  MUST: The package must contain code, or permissable content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[*]  MUST: Large documentation files should go in a -doc subpackage.
    (The definition of large is left up to the packager's best judgement,
     but is not restricted to size. Large can refer to either size or quantity)

[*]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application. To summarize: If it is in %doc, the program
     must run properly if it is not present.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[-]  MUST: If a package contains library files with a suffix
    (e.g. libfoo.so.1.1), then library files that end in .so
    (without suffix) must go in a -devel package.

[x]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

Requires does require a little polishing.
Requires(postun): /sbin/service
Requires(post): /sbin/service
Requires:       /bin/sh
Requires:       /usr/bin/env
Requires:       %{_sysconfdir}/cron.d
Requires:       libcurl
should be removed.

Requires:       php-pear(components.ez.no/Archive)
Requires:       php-pear(components.ez.no/ConsoleTools)
Requires:       php-pear(components.ez.no/File)
Requires:       php-pear(components.ez.no/SystemInformation)
Requires:       php-pear(components.ez.no/Webdav)
are also not necessary.

[-]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[-]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section. This is described
     in detail in the desktop files section of the Packaging Guidelines.
     If you feel that your packaged GUI application does not need a .desktop
     file, you must put a comment in the spec file with your explanation.

[*]  MUST: Packages must not own files or directories already owned by
     other packages. The rule of thumb here is that the first package
     to be installed should own the files or directories that other packages
     may rely upon. This means, for example, that no package in Fedora should
     ever share ownership with any of the files or directories owned by the
     filesystem or man package. If you feel that you have a good reason to own
     a file or directory that another package owns, then please present that
     at package review time.

[*]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
     See Prepping BuildRoot For %install for details.

[*]  MUST: All filenames in rpm packages must be valid UTF-8.

Comment 4 Gwyn Ciesla 2009-05-21 12:39:15 UTC
Minor quibble, 

[-]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture. [7]

php no binary build.

What is meant here is the product RPM as opposed to SRPM, not binary executable as opposed to script.  Essentially, rpmbuild -ba foo.spec must produce something in ../RPMS/*/.

FYI. :)

Also, for the Requires, if any of those pear packages exist in Fedora as RPMS, they should be Required.  If not, and this software needs them, they need to be packaged and included in Fedora before this can be.  I see that this has a blocking bug, so maybe that's going on, I didn't dig that far.

Comment 5 Guillaume Kulakowski 2009-06-07 09:12:55 UTC
Merci, je suis le plus vite possible, et que j'ai également mise à jour de eZ Publish 4.1.2

Comment 6 Guillaume Kulakowski 2009-06-15 18:26:35 UTC
> The source URL (http://ez.no/content/download/261295/1832505/version/3/file/ezpublish-4.1.0-gpl.tar.gz)
> causes an error. 4.1.1 is also the current version 4.1.0 seems to be
> un-available.
There is no rules for the next release URL.

> Requires:       php-pear(components.ez.no/Archive)
> Requires:       php-pear(components.ez.no/ConsoleTools)
> Requires:       php-pear(components.ez.no/File)
> Requires:       php-pear(components.ez.no/SystemInformation)
> Requires:       php-pear(components.ez.no/Webdav)
> are also not necessary.
eZ Publish use this eZ Components, it's some dependence.

Comment 8 Bug Zapper 2009-11-18 11:53:42 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.